C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Guardian.Factors.PushNotification.UpdateApnsProviderAsync(
new UpdateGuardianFactorsProviderPushNotificationApnsRequestContent()
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.SetGuardianFactorsProviderPushNotificationApnsRequestContent{}
client.Guardian.Factors.PushNotification.SetApnsProvider(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.guardian.factors.pushnotification.requests.UpdateGuardianFactorsProviderPushNotificationApnsRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.guardian().factors().pushNotification().updateApnsProvider(
UpdateGuardianFactorsProviderPushNotificationApnsRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Guardian\Factors\PushNotification\Requests\UpdateGuardianFactorsProviderPushNotificationApnsRequestContent;
$client = new Management(
token: '<token>',
);
$client->guardian->factors->pushNotification->updateApnsProvider(
new UpdateGuardianFactorsProviderPushNotificationApnsRequestContent([]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.guardian.factors.push_notification.update_apns_provider()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.guardian.factors.push_notification.update_apns_providerimport { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.pushNotification.setApnsProvider({});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.pushNotification.setApnsProvider({});
}
main();curl --request PATCH \
--url https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/apns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sandbox": true,
"bundle_id": "<string>",
"p12": "<string>"
}
'{
"sandbox": true,
"bundle_id": "<string>"
}Update APNs provider configuration
Modify configuration details of the multi-factor authentication APNS provider associated with your tenant.
PATCH
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
providers
/
apns
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Guardian.Factors.PushNotification.UpdateApnsProviderAsync(
new UpdateGuardianFactorsProviderPushNotificationApnsRequestContent()
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.SetGuardianFactorsProviderPushNotificationApnsRequestContent{}
client.Guardian.Factors.PushNotification.SetApnsProvider(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.guardian.factors.pushnotification.requests.UpdateGuardianFactorsProviderPushNotificationApnsRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.guardian().factors().pushNotification().updateApnsProvider(
UpdateGuardianFactorsProviderPushNotificationApnsRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Guardian\Factors\PushNotification\Requests\UpdateGuardianFactorsProviderPushNotificationApnsRequestContent;
$client = new Management(
token: '<token>',
);
$client->guardian->factors->pushNotification->updateApnsProvider(
new UpdateGuardianFactorsProviderPushNotificationApnsRequestContent([]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.guardian.factors.push_notification.update_apns_provider()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.guardian.factors.push_notification.update_apns_providerimport { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.pushNotification.setApnsProvider({});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.pushNotification.setApnsProvider({});
}
main();curl --request PATCH \
--url https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/apns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sandbox": true,
"bundle_id": "<string>",
"p12": "<string>"
}
'{
"sandbox": true,
"bundle_id": "<string>"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
application/jsonapplication/x-www-form-urlencoded
⌘I